SDL_AtomicCompareAndSwapPointer(3)

NAME
SDL_AtomicCompareAndSwapPointer - Set a pointer to a new value if it is currently an old value.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_AtomicCompareAndSwapPointer(void **a, void *oldval, void *newval);

DESCRIPTION
Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to a pointer

oldval
    the old pointer value

newval
    the new pointer value

RETURN VALUE
Returns SDL_TRUE
 if the pointer was set, SDL_FALSE otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AtomicCompareAndSwap(3), SDL_AtomicGetPtr(3), SDL_AtomicSetPtr(3)